Bug 862083 - oops in drm_get_connector_name intel_ddc_probe vmalloc_fault
oops in drm_get_connector_name intel_ddc_probe vmalloc_fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 15:53 EDT by Mads Kiilerich
Modified: 2013-07-31 13:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:53:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops (611.99 KB, image/jpeg)
2012-10-01 15:53 EDT, Mads Kiilerich
no flags Details
some smolt, dmesg, X log from working nomodeset (144.95 KB, text/plain)
2012-10-01 15:57 EDT, Mads Kiilerich
no flags Details
dmesg 3.6.3-1.fc17.i686.PAEdebug with oops (72.84 KB, text/plain)
2012-10-30 12:26 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2012-10-01 15:53:25 EDT
Created attachment 619976 [details]
oops

On a f17 remix I get oops (and black screen) when booting kernel-PAE-3.5.4-2.fc17.i686 with KMS on a Dell Latitude D510 laptop.

It works with nomodeset.
Comment 1 Mads Kiilerich 2012-10-01 15:57:13 EDT
Created attachment 619977 [details]
some smolt, dmesg, X log from working nomodeset
Comment 2 Mads Kiilerich 2012-10-01 18:05:01 EDT
Same with kernel-PAE-3.6.0-1.fc18.i686
Comment 3 Mads Kiilerich 2012-10-01 18:13:27 EDT
It seems to work with 3.4.6-2.
Comment 4 Mads Kiilerich 2012-10-30 12:26:51 EDT
Created attachment 635688 [details]
dmesg 3.6.3-1.fc17.i686.PAEdebug with oops

[   49.755693] BUG: unable to handle kernel NULL pointer dereference at 00000008
[   49.755718] IP: [<f7e5bb1c>] i2c_transfer+0x1c/0xe0 [i2c_core]
[   49.755740] *pdpt = 000000002bf4b001 *pde = 0000000000000000
[   49.755754] Oops: 0000 [#1] SMP
[   49.755766] Modules linked in: ppdev snd_intel8x0m(+) snd_intel8x0(+) snd_ac97_codec dell_laptop ac97_bus snd_seq ipw2200(+) snd_seq_device dcdbas snd_pcm libipw microcode cfg80211 b44 rfkill ssb lpc_ich(+) snd_page_alloc mfd_core snd_timer mmc_core snd lib80211 soundcore mii i915(+) parport_pc parport i2c_algo_bit drm_kms_helper drm video i2c_core uinput firewire_ohci firewire_core crc_itu_t yenta_socket
[   49.755877] Pid: 359, comm: udevd Not tainted 3.6.3-1.fc17.i686.PAEdebug #1 Dell Inc. Latitude D510                   /0N8829
[   49.755897] EIP: 0060:[<f7e5bb1c>] EFLAGS: 00010296 CPU: 0
[   49.755910] EIP is at i2c_transfer+0x1c/0xe0 [i2c_core]
[   49.755921] EAX: 00000000 EBX: 00000000 ECX: 00000003 EDX: eb377d20
[   49.755932] ESI: eb377d38 EDI: ea4b9a10 EBP: f3653b5c ESP: f3653b44
[   49.755943]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[   49.755954] CR0: 8005003b CR2: 00000008 CR3: 2bf59000 CR4: 000007f0
[   49.755965] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[   49.755976] DR6: ffff0ff0 DR7: 00000400
[   49.755985] Process udevd (pid: 359, ti=f3652000 task=f36a0000 task.ti=f3652000)
[   49.755998] Stack:
[   49.756004]  f840fb48 000080d0 eb377d20 00000001 eb377d38 ea4b9a10 f3653ba8 f840fd80
[   49.756028]  00000004 00000000 00000000 f84399d2 f8435320 0000000b f3653bc0 0000000b
[   49.756052]  0b000001 00000003 f66132e0 eb377d20 0000000c 09650001 ea4b9a10 ea4ba2c0
[   49.756055] Call Trace:
[   49.756055]  [<f840fb48>] ? intel_sdvo_write_cmd+0x58/0x3a0 [i915]
[   49.756055]  [<f840fd80>] intel_sdvo_write_cmd+0x290/0x3a0 [i915]
[   49.756055]  [<f84118b1>] intel_sdvo_detect+0x31/0x2e0 [i915]
[   49.756055]  [<c06db3ba>] ? snprintf+0x1a/0x20
[   49.756055]  [<f82900f5>] ? drm_get_connector_name+0x45/0x50 [drm]
[   49.756055]  [<f8199038>] drm_helper_probe_single_connector_modes+0x198/0x320 [drm_kms_helper]
[   49.756055]  [<f8196cb1>] drm_fb_helper_probe_connector_modes.isra.2+0x41/0x60 [drm_kms_helper]
[   49.756055]  [<f8197fdc>] drm_fb_helper_initial_config+0x16c/0x260 [drm_kms_helper]
[   49.756055]  [<c057373a>] ? kmem_cache_alloc_trace+0xda/0x260
[   49.756055]  [<f8196f30>] ? drm_fb_helper_init+0xb0/0x180 [drm_kms_helper]
[   49.756055]  [<f8197037>] ? drm_fb_helper_single_add_all_connectors+0x37/0xc0 [drm_kms_helper]
[   49.756055]  [<f8197037>] ? drm_fb_helper_single_add_all_connectors+0x37/0xc0 [drm_kms_helper]
[   49.756055]  [<f841b6d6>] intel_fbdev_init+0x76/0xb0 [i915]
[   49.756055]  [<f83deacd>] i915_driver_load+0xa9d/0xbe0 [i915]
[   49.756055]  [<f83dc290>] ? i915_switcheroo_set_state+0xa0/0xa0 [i915]
[   49.756055]  [<f828e4fb>] ? drm_sysfs_device_add+0x7b/0xb0 [drm]
[   49.756055]  [<f828ab38>] ? drm_get_minor+0x238/0x2c0 [drm]
[   49.756055]  [<f828cf03>] drm_get_pci_dev+0x143/0x270 [drm]
[   49.756055]  [<c04bc9cb>] ? trace_hardirqs_on+0xb/0x10
[   49.756055]  [<f8426957>] i915_pci_probe+0x4b/0x55 [i915]
[   49.756055]  [<c06fd6b0>] pci_device_probe+0xa0/0x150
[   49.756055]  [<c07bd81f>] driver_probe_device+0x7f/0x360
[   49.756055]  [<c07bdb99>] __driver_attach+0x99/0xa0
[   49.756055]  [<c07bdb00>] ? driver_probe_device+0x360/0x360
[   49.756055]  [<c07bbc82>] bus_for_each_dev+0x42/0x80
[   49.756055]  [<c07bd21e>] driver_attach+0x1e/0x20
[   49.756055]  [<c07bdb00>] ? driver_probe_device+0x360/0x360
[   49.756055]  [<c07bceaf>] bus_add_driver+0x17f/0x290
[   49.756055]  [<c06fd760>] ? pci_device_probe+0x150/0x150
[   49.756055]  [<c06fd760>] ? pci_device_probe+0x150/0x150
[   49.756055]  [<c07be19a>] driver_register+0x6a/0x160
[   49.756055]  [<c06e2f12>] ? __raw_spin_lock_init+0x32/0x60
[   49.756055]  [<f81ad000>] ? 0xf81acfff
[   49.756055]  [<c06fc557>] __pci_register_driver+0x57/0xd0
[   49.756055]  [<f81ad000>] ? 0xf81acfff
[   49.756055]  [<f828d12d>] drm_pci_init+0xfd/0x110 [drm]
[   49.756055]  [<f81ad000>] ? 0xf81acfff
[   49.756055]  [<f81ad05e>] i915_init+0x5e/0x60 [i915]
[   49.756055]  [<c0403112>] do_one_initcall+0x112/0x160
[   49.756055]  [<c04c5052>] ? set_section_ro_nx+0x62/0x80
[   49.756055]  [<c04c887c>] sys_init_module+0x10fc/0x1f30
[   49.756055]  [<c04b7e9c>] ? lock_release_holdtime.part.26+0xcc/0xf0
[   49.756055]  [<f8341000>] ? 0xf8340fff
[   49.756055]  [<f8341000>] ? 0xf8340fff
[   49.756055]  [<f83cbf7c>] ? snd_interval_div+0xfc/0x110 [snd_pcm]
[   49.756055]  [<c0a21f9f>] sysenter_do_call+0x12/0x38
[   49.756055] Code: c3 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 83 ec 0c 83 e4 f8 83 ec 0c 89 5d f4 89 75 f8 89 7d fc 3e 8d 74 26 00 89 c3 <8b> 40 08 89 d6 89 cf 8b 00 85 c0 74 5f 89 e0 25 00 e0 ff ff f7
[   49.756055] EIP: [<f7e5bb1c>] i2c_transfer+0x1c/0xe0 [i2c_core] SS:ESP 0068:f3653b44
[   49.756055] CR2: 0000000000000008
[   49.757604] ---[ end trace 319743a56af10f99 ]---
Comment 5 Mads Kiilerich 2012-10-30 14:46:08 EDT
Same issue with 3.7.0-0.rc3.git0.1.fc19.i686.PAEdebug .
Comment 6 Fedora End Of Life 2013-07-03 15:26:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 13:53:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.